---
updatedAt: 2026-02-13T11:22:32.000Z
agentTools:
  projectIndex: https://reference.humanapi.co/v2.1/llms.txt
---

# Blood Pressure

Get the blood pressure measurement from a specific point in time.

Returns the latest blood pressure reading
*GET <https://api.humanapi.co/v1/human/blood_pressure>*

Returns all blood pressure readings
*GET <https://api.humanapi.co/v1/human/blood_pressure/readings>*

[block:code]
{
  "codes": [
    {
      "code": "# Returns a json object of blood pressure:\n{\n  \"id\": \"550b8a8e834dd16f259683b1\",\n  \"userId\": \"52e20cb2fff56aac62000001\",\n  \"timestamp\": \"2015-03-19T22:48:26.000Z\",\n  \"tzOffset\": \"-07:00\",\n  \"systolic\": 117,\n  \"diastolic\": 76,\n  \"unit\": \"mmHg\",\n  \"heartRate\": 66,\n  \"source\": \"ihealth\",\n  \"createdAt\": \"2015-03-20T02:48:46.925Z\",\n  \"updatedAt\": \"2015-03-20T02:48:46.925Z\",\n  \"humanId\": \"5dc2527186aaf9de560e5841f1a44bd6\"\n}",
      "language": "json"
    },
    {
      "code": "# Get the latest blood pressure measurement associated with the user\ncurl -H \"Authorization: Bearer demo\" \"https://api.humanapi.co/v1/human/blood_pressure\"",
      "language": "curl"
    }
  ],
  "sidebar": true
}
[/block]

[block:parameters]
{
  "data": {
    "h-0": "Property",
    "h-1": "Type",
    "h-2": "Description",
    "0-0": "id",
    "0-1": "String",
    "0-2": "The id of the resource.",
    "1-0": "userId",
    "1-1": "String",
    "1-2": "[deprecated - use humanId]",
    "2-0": "humanId",
    "2-1": "String",
    "2-2": "Unique user identifier",
    "3-0": "timestamp",
    "3-1": "Date",
    "3-2": "The original date and time of the measurement",
    "5-0": "source",
    "5-1": "String",
    "5-2": "The source service for the measurement, where it was created",
    "4-0": "tzOffset",
    "4-1": "String",
    "4-2": "The offset from UTC time in +/-hh:mm (e.g. -04:00)",
    "6-0": "unit",
    "6-1": "String",
    "6-2": "The unit of the measurement value",
    "10-0": "createdAt",
    "10-1": "Date",
    "10-2": "The time the measurement was created on the Human API server",
    "11-0": "updatedAt",
    "11-1": "Date",
    "11-2": "The time the measurement was updated on the Human API server",
    "7-0": "heartRate",
    "7-1": "String",
    "7-2": "The heart rate in BPM captured at the time of measurement",
    "8-0": "systolic",
    "8-1": "String",
    "8-2": "The systolic value captured at the time of measurement",
    "9-0": "diastolic",
    "9-1": "String",
    "9-2": "The diastolic value captured at the time of measurement"
  },
  "cols": 3,
  "rows": 12
}
[/block]

# OpenAPI definition

```json
{}
```